<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.dromara.knowledge.mapper.KnowledgeFragmentMapper">

    <resultMap type="org.dromara.knowledge.domain.KnowledgeFragment" id="KnowledgeFragmentResult">
        <result property="id" column="id"/>
        <result property="knowledgeId" column="knowledge_id"/>
        <result property="docId" column="doc_id"/>
        <result property="fid" column="fid"/>
        <result property="idx" column="idx"/>
        <result property="content" column="content"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="remark" column="remark"/>
    </resultMap>

    <sql id="selectKnowledgeFragmentVo">
        select id,
               knowledge_id,
               doc_id,
               fid,
               idx,
               content,
               create_by,
               create_time,
               update_by,
               update_time,
               remark
        from knowledge_fragment
    </sql>

</mapper>